if ( typeof( mfn_slider_args )==='undefined' ) mfn_slider_args = [];
var mfn_slider_timeout = ( mfn_slider_args.timeout ) ? mfn_slider_args.timeout : 5000;
var mfn_slider_auto = ( mfn_slider_args.auto ) ? true : false;
var mfn_slider_pause = ( mfn_slider_args.pause ) ? true : false;

function MfnSlider(){
	
	var slider = jQuery('#mfn-offer-slider ul.slider-wrapper');
	slider.css('visibility','visible');	
	
	slider.responsiveSlides({
		auto: mfn_slider_auto,				// Boolean: Animate automatically, true or false
		speed: 0,            				// Integer: Speed of the transition, in milliseconds
		timeout: mfn_slider_timeout,		// Integer: Time between slide transitions, in milliseconds
		pager: false,      				 	// Boolean: Show pager, true or false
		nav: true,							// Boolean: Show navigation, true or false
		pause: mfn_slider_pause,        	// Boolean: Pause on hover, true or false
		pauseControls: mfn_slider_pause,	// Boolean: Pause when hovering controls, true or false
		before: before,						// Function: Before callback
		after: after 						// Function: After callback
	});
		
	function before(idx, length){
		slider.find('.slide-left-img .slide-img .img').css({'display':'none', 'margin-left':-580});		
		slider.find('.slide-left-img .slide-desc h2').css({'display':'none', 'margin-left':480});
		slider.find('.slide-left-img .slide-desc p').css({'display':'none', 'margin-left':480});
		slider.find('.slide-left-img .slide-desc a.button').css({'display':'none', 'margin-left':940});
		
		slider.find('.slide-right-img .slide-img .img').css({'display':'none', 'margin-left':580});		
		slider.find('.slide-right-img .slide-desc h2').css({'display':'none', 'margin-left':-480});
		slider.find('.slide-right-img .slide-desc p').css({'display':'none', 'margin-left':-480});
		slider.find('.slide-right-img .slide-desc a.button').css({'display':'none', 'margin-left':-940});
	}
	
	function after(){
		slider.find('.slide-img .img').css({'display':'inline'}).stop().animate({'margin-left':0}, 600);
		slider.find('.slide-desc h2').css({'display':'block'}).stop().delay(150).animate({'margin-left':0}, 500);
		slider.find('.slide-desc p').css({'display':'block'}).stop().delay(300).animate({'margin-left':0}, 400);
		slider.find('.slide-desc a.button').css({'display':'inline-block'}).stop().delay(300).animate({'margin-left':0}, 450);
	}

}
	
jQuery(document).ready(function(){
	var mfn_slider = new MfnSlider();
});